﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Interfaces;
using DesktopTools.Models;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для учебного плана
	/// </summary>
	public partial class ControlAcademicPlanElement :
		GenericControlEntityElement<AcademicPlanGetBindingModel, AcademicPlanSetBindingModel, AcademicPlanListViewModel, AcademicPlanViewModel, AcademicPlanBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlAcademicPlanElement()
		{
			InitializeComponent();
			Title = "Учебный план";
			ControlId = new Guid("bdba8fca-4c38-49cf-89b0-4906c4aa7aa3");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlAcademicPlanElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}